### Signal

# AyatanaAppIndicatorGlib Indicator::connection-changed

#### Declaration

    void
    connection_changed (
      AppIndicator* self,
      gboolean arg1,
      gpointer user_data
    )

#### Description

Emitted when we connect to a watcher, or when it drops away.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`arg1`

  Type: `gboolean`

  Whether we’re connected or not.